## simgrid 3.8.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
### Need to set rc ccompiler before enable language
if(WIN32)
  SET(CMAKE_RC_COMPILER "windres")
endif(WIN32)
project(SimGrid CXX C)

set(CMAKE_C_FLAGS "" CACHE TYPE INTERNAL FORCE)
set(CMAKE_CXX_FLAGS "" CACHE TYPE INTERNAL FORCE)
set(CMAKE_EXE_LINKER_FLAGS "" CACHE TYPE INTERNAL FORCE)
set(CMAKE_C_LINK_FLAGS "" CACHE TYPE INTERNAL FORCE)

## Mapping version number -> version name
# 3.5.99 -> alpha1 (oops)
# 3.5.9{1,2} -> beta{1,2}
# 3.5.9{3,4,5} -> rc{1,2,3}
# 3.6.{0,1,2} -> release 3.6, 3.6.1, 3.6.2
# 3.7.{0,1} -> release 3.7, 3.7.1
# 3.8.{0,1} -> release 3.8, 3.8.1

set(SIMGRID_VERSION_MAJOR "3")
set(SIMGRID_VERSION_MINOR "8")
set(SIMGRID_VERSION_PATCH "1")

if(${SIMGRID_VERSION_PATCH} EQUAL "0")
  set(release_version "${SIMGRID_VERSION_MAJOR}.${SIMGRID_VERSION_MINOR}")
else(${SIMGRID_VERSION_PATCH} EQUAL "0")
  set(release_version "${SIMGRID_VERSION_MAJOR}.${SIMGRID_VERSION_MINOR}.${SIMGRID_VERSION_PATCH}")
endif(${SIMGRID_VERSION_PATCH} EQUAL "0")
set(libsimgrid_version "${release_version}")
set(libgras_version "${release_version}")
set(libsmpi_version "${release_version}")
set(GCC_NEED_VERSION "4.0")
set(APPLE_NEED_GCC_VERSION "4.6")

### SET THE LIBRARY EXTENSION AND GCC VERSION
if(APPLE) #MAC
  set(LIB_EXE "dylib")
else(APPLE)
  if(WIN32) #WINDOWS
    set(LIB_EXE "a")
    set(BIN_EXE ".exe")
  else(WIN32) #UNIX
    set(LIB_EXE "so")
  endif(WIN32)
endif(APPLE)

string(REGEX MATCH "gcc" GCC "${CMAKE_C_COMPILER}")
if(GCC)
  exec_program("${CMAKE_C_COMPILER} --version" OUTPUT_VARIABLE "COMPILER_C_VERSION")
  exec_program("${CMAKE_CXX_COMPILER} --version" OUTPUT_VARIABLE "COMPILER_CXX_VERSION")
  string(REGEX MATCH "[0-9].[0-9].[0-9]" COMPILER_C_VERSION "${COMPILER_C_VERSION}")
  string(REGEX MATCH "[0-9].[0-9].[0-9]" COMPILER_CXX_VERSION "${COMPILER_CXX_VERSION}")

  string(REGEX MATCH "^[0-9].[0-9]" COMPILER_C_VERSION_MAJOR_MINOR "${COMPILER_C_VERSION}")
  string(REPLACE "${COMPILER_C_VERSION_MAJOR_MINOR}." "" COMPILER_C_VERSION_PATCH "${COMPILER_C_VERSION}")

  if(${GCC_NEED_VERSION} GREATER  COMPILER_C_VERSION_MAJOR_MINOR)
    message(FATAL_ERROR "Gcc must be to version ${GCC_NEED_VERSION} current version ${COMPILER_C_VERSION_MAJOR_MINOR}")
  endif(${GCC_NEED_VERSION} GREATER  COMPILER_C_VERSION_MAJOR_MINOR)
endif(GCC)

string(REGEX MATCH "cl.exe" VBC "${CMAKE_C_COMPILER}")
if(VBC)
  message(FATAL_ERROR "VB is not yet supported by Simgrid.")
endif(VBC)

### Find programs and paths
FIND_PROGRAM(GCOV_PATH gcov)
include(FindPerl)
if(NOT PERL_EXECUTABLE)
  message(FATAL_ERROR "-- SimGrid cannot be compiled without Perl installed -- sorry. Bailling out.")
endif(NOT PERL_EXECUTABLE)

### Set some variables for Cmake
SET(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR}/lib)

set(INCLUDES
  ${CMAKE_HOME_DIRECTORY}
  ${CMAKE_HOME_DIRECTORY}/include
  ${CMAKE_HOME_DIRECTORY}/src
  ${CMAKE_HOME_DIRECTORY}/src/include
  ${CMAKE_BINARY_DIR}
  ${CMAKE_BINARY_DIR}/include
  ${CMAKE_BINARY_DIR}/src
  )

if(WIN32)
  set(INCLUDES ${INCLUDES} ${CMAKE_HOME_DIRECTORY}/include/xbt ${CMAKE_HOME_DIRECTORY}/src/xbt) #for win32_ucontext.[ch]
endif(WIN32)
set(CMAKE_SOURCE_DIR ${PROJECT_SOURCE_DIRECTORY})

if(NOT CMAKE_CROSSCOMPILING AND EXISTS /usr/include/)
  set(INCLUDES ${INCLUDES} /usr/include/)
endif(NOT CMAKE_CROSSCOMPILING AND EXISTS /usr/include/)

### Check 32bits or 64bits
INCLUDE (CheckTypeSize)
CHECK_TYPE_SIZE("void*" SIZEOF_VOIDSTAR)
IF(SIZEOF_VOIDSTAR EQUAL 4)
  SET(ARCH_32_BITS 1)
ELSE(SIZEOF_VOIDSTAR EQUAL 4)
  SET(ARCH_32_BITS 0)
ENDIF(SIZEOF_VOIDSTAR EQUAL 4)

if(WIN32)

  #Need env INCLUDE
  set(CMAKE_INCLUDE_WIN "${CMAKE_C_COMPILER}")
  set(CMAKE_LIB_WIN "${CMAKE_C_COMPILER}")
  string(REGEX REPLACE "/bin/gcc.*" "/include"  CMAKE_INCLUDE_WIN "${CMAKE_INCLUDE_WIN}")
  string(REGEX REPLACE "/bin/gcc.*" "/lib"  CMAKE_LIB_WIN "${CMAKE_LIB_WIN}")
  set(INCLUDES ${INCLUDES} ${CMAKE_INCLUDE_WIN})

  if(CMAKE_COMPILER_IS_GNUCC)
    set(__GNUC__ 1)
    exec_program("${CMAKE_C_COMPILER} --version" OUTPUT_VARIABLE "COMPILER_C_VERSION")
    string(REGEX MATCH "[0-9].[0-9].[0-9]" COMPILER_C_VERSION "${COMPILER_C_VERSION}")
    string(REGEX MATCH "^[0-9]" COMPILER_C_MAJOR_VERSION "${COMPILER_C_VERSION}")
    string(REGEX MATCH "^[0-9].[0-9]" COMPILER_C_MINOR_VERSION "${COMPILER_C_VERSION}")
    string(REGEX REPLACE "^${COMPILER_C_MAJOR_VERSION}." "" COMPILER_C_MINOR_VERSION "${COMPILER_C_MINOR_VERSION}")
    if(COMPILER_C_MAJOR_VERSION)
      # set(__GNUC__ ${COMPILER_C_MAJOR_VERSION})
    endif(COMPILER_C_MAJOR_VERSION)
    if(COMPILER_C_MINOR_VERSION)
      # set(__GNUC_MINOR__ ${COMPILER_C_MINOR_VERSION})
    endif(COMPILER_C_MINOR_VERSION)
    set(MSVC 0)
    set(BORLAND 0)
  else(CMAKE_COMPILER_IS_GNUCC)
    message(FATAL_ERROR "Please use MinGW to compile SimGrid!")
  endif(CMAKE_COMPILER_IS_GNUCC)

  if(ARCH_32_BITS)	### Arch 32bits
    set(_WIN32 1)
  else(ARCH_32_BITS)	### Arch 64bits
    set(_WIN64 1)
  endif(ARCH_32_BITS)

  set(NSIS_WIN_VERSION $ENV{PROCESSOR_ARCHITEW6432})
  if(NSIS_WIN_VERSION MATCHES "")
    set(NSIS_WIN_VERSION $ENV{PROCESSOR_ARCHITECTURE})
  endif(NSIS_WIN_VERSION MATCHES "")
  string(TOLOWER ${NSIS_WIN_VERSION} NSIS_WIN_VERSION)

  set(_XBT_WIN32 1)

  message(STATUS "C_COMPILER			${CMAKE_C_COMPILER} ${COMPILER_C_VERSION}")
  message(STATUS "CXX_COMPILER			${CMAKE_CXX_COMPILER} ${COMPILER_CXX_VERSION}")
  message(STATUS "CMAKE_RC_COMPILER		${CMAKE_RC_COMPILER}")
  message(STATUS "INCLUDE			${CMAKE_INCLUDE_WIN}")
  message(STATUS "LIB				${CMAKE_LIB_WIN}")
  message(STATUS "MAKE_PROGRAM			${CMAKE_MAKE_PROGRAM}")
  message(STATUS "CMAKE_BUILD_TOOL		${CMAKE_BUILD_TOOL}")
  message(STATUS "LINKER			${CMAKE_LINKER}")
  message(STATUS "CMAKE_GENERATOR		${CMAKE_GENERATOR}")
  message(STATUS "BORLAND			${BORLAND}")
  message(STATUS "VISUALC			${MSVC}")
  message(STATUS "GNUC				${CMAKE_COMPILER_IS_GNUCC}")

endif(WIN32)

include_directories(${INCLUDES})

### Determine the assembly flavor that we need today
include(CMakeDetermineSystem)
set(PROCESSOR_${CMAKE_SYSTEM_PROCESSOR} 1)

### Setup Options
include(${CMAKE_HOME_DIRECTORY}/buildtools/Cmake/Option.cmake)

### Make the *.h files with *.h.in files
include(${CMAKE_HOME_DIRECTORY}/buildtools/Cmake/CompleteInFiles.cmake)

### Define source packages for Libs
include(${CMAKE_HOME_DIRECTORY}/buildtools/Cmake/DefinePackages.cmake)

### Build some Maintainer files
include(${CMAKE_HOME_DIRECTORY}/buildtools/Cmake/MaintainerMode.cmake)
if(NOT WIN32)
  include(${CMAKE_HOME_DIRECTORY}/buildtools/Cmake/UnitTesting.cmake)
endif(NOT WIN32)

### Setup gcc flags
include(${CMAKE_HOME_DIRECTORY}/buildtools/Cmake/Flags.cmake)

### Make Libs
if(NOT WIN32)
  include(${CMAKE_HOME_DIRECTORY}/buildtools/Cmake/MakeLib.cmake)
else(NOT WIN32)
  include(${CMAKE_HOME_DIRECTORY}/buildtools/Cmake/MakeLibWin.cmake)
endif(NOT WIN32)

### Make Exes
include(${CMAKE_HOME_DIRECTORY}/buildtools/Cmake/MakeExe.cmake)

### Make tests
include(${CMAKE_HOME_DIRECTORY}/buildtools/Cmake/AddTests.cmake)
include(${CMAKE_HOME_DIRECTORY}/buildtools/Cmake/CTestConfig.cmake)

### Setup the distrib
include(${CMAKE_HOME_DIRECTORY}/buildtools/Cmake/Distrib.cmake)

### Pipol compilation
include(${CMAKE_HOME_DIRECTORY}/buildtools/Cmake/Pipol.cmake)

### Build the doc
if(NOT WIN32)
  include(${CMAKE_HOME_DIRECTORY}/buildtools/Cmake/GenerateDoc.cmake)
else(NOT WIN32)
  include(${CMAKE_HOME_DIRECTORY}/buildtools/Cmake/GenerateDocWin.cmake)
endif(NOT WIN32)

### Print ARGS
include(${CMAKE_HOME_DIRECTORY}/buildtools/Cmake/PrintArgs.cmake)

INCLUDE(Dart)

=== teshsuite/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

set(tesh_files
  ${tesh_files}
  ${CMAKE_CURRENT_SOURCE_DIR}/SimGrid.tesh
  PARENT_SCOPE
  )
set(xml_files
  ${xml_files}
  PARENT_SCOPE
  )
set(teshsuite_src
  ${teshsuite_src}
  PARENT_SCOPE
  )
set(bin_files
  ${bin_files}
  PARENT_SCOPE
  )
set(txt_files
  ${txt_files}
  PARENT_SCOPE
  )

=== tools/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

set(bin_files
  ${bin_files}
  ${CMAKE_CURRENT_SOURCE_DIR}/compile-stats
  ${CMAKE_CURRENT_SOURCE_DIR}/fix-paje-trace.sh
  ${CMAKE_CURRENT_SOURCE_DIR}/indent
  ${CMAKE_CURRENT_SOURCE_DIR}/sg_unit_extractor.pl
  ${CMAKE_CURRENT_SOURCE_DIR}/simgrid_update_xml.pl
  ${CMAKE_CURRENT_SOURCE_DIR}/xbt_exception_checker
  ${CMAKE_CURRENT_SOURCE_DIR}/doxygen/index_create.pl
  ${CMAKE_CURRENT_SOURCE_DIR}/doxygen/fig2dev_postprocessor.pl
  ${CMAKE_CURRENT_SOURCE_DIR}/doxygen/xbt_log_extract_hierarchy.pl
  ${CMAKE_CURRENT_SOURCE_DIR}/MSG_visualization/colorize.pl
  ${CMAKE_CURRENT_SOURCE_DIR}/MSG_visualization/trace2fig.pl
  PARENT_SCOPE
  )

=== doc/gtut-files/Makefile ===
# This works mainly on my box for now
export LD_LIBRARY_PATH=$(GRAS_ROOT)/lib
GRAS_STUB_GENERATOR=$(GRAS_ROOT)/bin/gras_stub_generator

all: 01-bones.output 02-simple.output 03-args.output 04-callback.output \
     05-globals.output 06-logs.output 07-timers.output 08-exceptions.output \
     09-simpledata.output 10-rpc.output 11-explicitwait.output

veryclean: clean
	rm *.output*

# Lesson 01: simple bones of project
########################################

01-bones.output: 01-bones_client 01-bones_server 01-bones_simulator
	echo '$$ ./test_client'                           > $@ 
	./01-bones_client                                 >> $@ 2>&1
	echo '$$ ./test_server'                          >> $@
	./01-bones_server                                 >> $@ 2>&1
	echo '$$'                                        >> $@ 
	echo '$$ ./test_simulator platform.xml test.xml' >> $@ 
	./01-bones_simulator gtut-platform.xml test.xml   >> $@ 2>&1
	echo '$$'                                        >> $@ 

01-bones_client 01-bones_server 01-bones_simulator: _01-bones_client.c _01-bones_server.c _01-bones_simulator.c
	make -f 01-bones.mk

_01-bones_client.c _01-bones_server.c _01-bones_simulator.c: 01-bones.c test.xml
	$(GRAS_STUB_GENERATOR) 01-bones test.xml >/dev/null

clean::
	if [ -e 01-bones.mk ] ; then make -f 01-bones.mk clean; fi
	rm -f _01-bones_client.c _01-bones_server.c _01-bones_simulator.c 01-bones.trace 01-bones.mk

# Lesson 02: simple message exchange
########################################

02-simple.output: 02-simple_client 02-simple_server 02-simple_simulator
	echo '$$ ./test_simulator platform.xml test.xml'  > $@
	./02-simple_simulator gtut-platform.xml test.xml  >> $@ 2>&1
	echo '$$'                                        >> $@ 

02-simple_client 02-simple_server 02-simple_simulator: _02-simple_client.c _02-simple_server.c _02-simple_simulator.c
	make -f 02-simple.mk

_02-simple_client.c _02-simple_server.c _02-simple_simulator.c: 02-simple.c test.xml
	$(GRAS_STUB_GENERATOR) 02-simple test.xml >/dev/null

clean::
	if [ -e 02-simple.mk ] ; then make -f 02-simple.mk clean; fi
	rm -f _02-simple_client.c _02-simple_server.c _02-simple_simulator.c 02-simple.trace 02-simple.mk

# Lesson 03: passing args to processes
########################################

03-args.output: 03-args_client 03-args_server 03-args_simulator
	echo '$$ ./test_server 12345 & ./test_client 127.0.0.1 12345'  > $@ 
	./03-args_server 12345                                         >> $@ 2>&1&
	./03-args_client 127.0.0.1 12345                               >> $@ 2>&1
	sleep 1
	echo '$$'                                                     >> $@
	echo '$$ ./test_simulator platform.xml test.xml'              >> $@
	./03-args_simulator gtut-platform.xml 03-args.xml               >> $@ 2>&1
	echo '$$'                                                     >> $@ 
	killall 03-args_server 03-args_client 2>/dev/null || true

03-args_client 03-args_server 03-args_simulator: _03-args_client.c _03-args_server.c _03-args_simulator.c
	make -f 03-args.mk

_03-args_client.c _03-args_server.c _03-args_simulator.c: 03-args.c 03-args.xml
	$(GRAS_STUB_GENERATOR) 03-args 03-args.xml >/dev/null

clean::
	if [ -e 03-args.mk ] ; then make -f 03-args.mk clean; fi
	rm -f _03-args_client.c _03-args_server.c _03-args_simulator.c 03-args.trace 03-args.mk

# Lesson 4: callbacks
########################################

04-callback.output: 04-callback_client 04-callback_server 04-callback_simulator
	echo '$$ ./test_server 23451 & ./test_client 127.0.0.1 23451'  > $@ 
	./04-callback_server 23451                                     >> $@ 2>&1&
	./04-callback_client 127.0.0.1 23451                           >> $@ 2>&1
	sleep 1
	echo '$$'                                                     >> $@
	echo '$$ ./test_simulator platform.xml test.xml'              >> $@
	./04-callback_simulator gtut-platform.xml 03-args.xml           >> $@ 2>&1
	echo '$$'                                                     >> $@
	killall 04-callback_server 04-callback_client 2>/dev/null || true

04-callback_client 04-callback_server 04-callback_simulator: _04-callback_client.c _04-callback_server.c _04-callback_simulator.c
	make -f 04-callback.mk

_04-callback_client.c _04-callback_server.c _04-callback_simulator.c: 04-callback.c 03-args.xml
	$(GRAS_STUB_GENERATOR) 04-callback 03-args.xml >/dev/null

clean::
	if [ -e 04-callback.mk ] ; then make -f 04-callback.mk clean; fi
	rm -f _04-callback_client.c _04-callback_server.c _04-callback_simulator.c 04-callback.trace 04-callback.mk

# Lesson 5: globals
########################################

05-globals.output: 05-globals_client 05-globals_server 05-globals_simulator
	echo '$$ ./test_server 12345 & ./test_client 127.0.0.1 12345'  > $@ 
	./05-globals_server 12345                                      >> $@ 2>&1&
	./05-globals_client 127.0.0.1 12345                            >> $@ 2>&1
	sleep 1
	echo '$$'                                                     >> $@
	echo '$$ ./test_simulator platform.xml test.xml'              >> $@
	./05-globals_simulator gtut-platform.xml 03-args.xml            >> $@ 2>&1
	echo '$$'                                                     >> $@ 
	killall 05-globals_server 05-globals_client 2>/dev/null || true

05-globals_client 05-globals_server 05-globals_simulator: _05-globals_client.c _05-globals_server.c _05-globals_simulator.c
	make -f 05-globals.mk

_05-globals_client.c _05-globals_server.c _05-globals_simulator.c: 05-globals.c 03-args.xml
	$(GRAS_STUB_GENERATOR) 05-globals 03-args.xml >/dev/null

clean::
	if [ -e 05-globals.mk ] ; then make -f 05-globals.mk clean; fi
	rm -f _05-globals_client.c _05-globals_server.c _05-globals_simulator.c 05-globals.trace 05-globals.mk

# Lesson 6: logs
########################################

06-logs.output: 06-logs_client 06-logs_server 06-logs_simulator \
        06-logs.output.fmt 06-logs.output.fmt-bt 06-logs.output.verbose 06-logs.output.error
	echo '$$ ./test_server 12345 & ./test_client 127.0.0.1 12345'  > $@ 
	./06-logs_server 12345                             2>&1 |sed s/06-logs/test/  >> $@ 2>&1&
	./06-logs_client 127.0.0.1 12345                   2>&1 |sed s/06-logs/test/  >> $@ 2>&1
	sleep 1
	echo '$$'                                                     >> $@
	echo '$$ ./test_simulator platform.xml test.xml'              >> $@
	./06-logs_simulator gtut-platform.xml 03-args.xml   2>&1 |sed s/06-logs/test/  >> $@ 2>&1
	echo '$$'                                                     >> $@ 
	killall 06-logs_server 06-logs_client 2>/dev/null || true

06-logs.output.fmt: 06-logs_client 06-logs_server 06-logs_simulator 
	echo '$$ ./test_server 12345 --log=test.fmt:%m%n & ./test_client 127.0.0.1 12345 --log=test.fmt:%m%n'  > $@
	./06-logs_server 12345  --log=test.fmt:%m%nn          2>&1 |sed s/06-logs/test/  >> $@ 2>&1&
	./06-logs_client 127.0.0.1 12345 --log=test.fmt:%m%n 2>&1 |sed s/06-logs/test/  >> $@ 2>&1
	sleep 1
	echo '$$'                                                     >> $@
	echo '$$ ./test_simulator platform.xml test.xml --log=test.fmt:%m%n'              >> $@
	./06-logs_simulator gtut-platform.xml 03-args.xml  --log=test.fmt:%m%n 2>&1 |sed s/06-logs/test/  >> $@ 2>&1
	echo '$$'                                                     >> $@ 
	killall 06-logs_server 06-logs_client 2>/dev/null || true

06-logs.output.fmt-bt: 06-logs_client 06-logs_server 06-logs_simulator 
	echo '$$ ./test_server 12345 --log=test.fmt:"[%r] %m%n%b%n%n" & ./test_client 127.0.0.1 12345 --log=test.fmt:"[%r] %m%n%b%n%n"'  > $@
	./06-logs_server 12345  --log=test.fmt:[%r]%m%n%b%n%n          2>&1 |sed s/06-logs/test/  >> $@ 2>&1&
	./06-logs_client 127.0.0.1 12345 --log=test.fmt:[%r]%m%n%b%n%n 2>&1 |sed s/06-logs/test/  >> $@ 2>&1
	sleep 1
	echo '$$'                                                     >> $@
	echo '$$ ./test_simulator platform.xml test.xml --log=test.fmt:[%r]%m%n%b%n%n'              >> $@
	./06-logs_simulator gtut-platform.xml 03-args.xml  --log=test.fmt:[%r]%m%n%b%n%n 2>&1 |sed s/06-logs/test/  >> $@ 2>&1
	echo '$$'                                                     >> $@ 
	killall 06-logs_server 06-logs_client 2>/dev/null || true

06-logs.output.verbose: 06-logs_client 06-logs_server 06-logs_simulator
	echo '$$ ./test_server 12345 --log=test.thres:verbose & ./test_client 127.0.0.1 12345 --log=test.thres:verbose'  > $@
	./06-logs_server 12345 --log=test.thres:verbose                            2>&1 |sed s/06-logs/test/  >> $@ 2>&1&
	./06-logs_client 127.0.0.1 12345 --log=test.thres:verbose                  2>&1 |sed s/06-logs/test/  >> $@ 2>&1
	sleep 1
	echo '$$'                                                     >> $@
	echo '$$ ./test_simulator platform.xml test.xml --log=test.thres:verbose'              >> $@
	./06-logs_simulator gtut-platform.xml 03-args.xml --log=test.thres:verbose  2>&1 |sed s/06-logs/test/  >> $@ 2>&1
	echo '$$'                                                     >> $@ 
	killall 06-logs_server 06-logs_client 2>/dev/null || true

06-logs.output.error: 06-logs_client 06-logs_server 06-logs_simulator
	echo '$$ ./test_server 12345 --log=root.thres:error & ./test_client 127.0.0.1 12345 --log=root.thres:error'  > $@
	./06-logs_server 12345 --log=root.thres:error                            2>&1 |sed s/06-logs/test/  >> $@ 2>&1&
	./06-logs_client 127.0.0.1 12345 --log=root.thres:error                  2>&1 |sed s/06-logs/test/  >> $@ 2>&1
	sleep 1
	echo '$$'                                                     >> $@
	echo '$$ ./test_simulator platform.xml test.xml --log=root.thres:error'              >> $@
	./06-logs_simulator gtut-platform.xml 03-args.xml --log=root.thres:error  2>&1 |sed s/06-logs/test/  >> $@ 2>&1
	echo '$$'                                                     >> $@ 
	killall 06-logs_server 06-logs_client 2>/dev/null || true


06-logs_client 06-logs_server 06-logs_simulator: _06-logs_client.c _06-logs_server.c _06-logs_simulator.c
	make -f 06-logs.mk

_06-logs_client.c _06-logs_server.c _06-logs_simulator.c: 06-logs.c 03-args.xml
	$(GRAS_STUB_GENERATOR) 06-logs 03-args.xml >/dev/null

clean::
	if [ -e 06-logs.mk ] ; then make -f 06-logs.mk clean; fi
	rm -f _06-logs_client.c _06-logs_server.c _06-logs_simulator.c 06-logs.trace 06-logs.mk


# Lesson 7: timers
########################################

07-timers.output: 07-timers_client 07-timers_server 07-timers_simulator
	echo '$$ ./test_server 12345 & ./test_client 127.0.0.1 12345'  > $@ 
	./07-timers_server 12345                             2>&1 |sed s/07-timers/test/  >> $@ 2>&1&
	./07-timers_client 127.0.0.1 12345                   2>&1 |sed s/07-timers/test/  >> $@ 2>&1
	sleep 1
	echo '$$'                                                     >> $@
	echo '$$ ./test_simulator platform.xml test.xml'              >> $@
	./07-timers_simulator gtut-platform.xml 03-args.xml   2>&1 |sed s/07-timers/test/  >> $@ 2>&1
	echo '$$'                                                     >> $@ 
	killall 07-timers_server 07-timers_client 2>/dev/null || true

07-timers_client 07-timers_server 07-timers_simulator: _07-timers_client.c _07-timers_server.c _07-timers_simulator.c
	make -f 07-timers.mk

_07-timers_client.c _07-timers_server.c _07-timers_simulator.c: 07-timers.c 03-args.xml
	$(GRAS_STUB_GENERATOR) 07-timers 03-args.xml >/dev/null

clean::
	if [ -e 07-timers.mk ] ; then make -f 07-timers.mk clean; fi
	rm -f _07-timers_client.c _07-timers_server.c _07-timers_simulator.c 07-timers.trace 07-timers.mk

# Lesson 8: exceptions
########################################

08-exceptions.output: 08-exceptions_client 08-exceptions_server 08-exceptions_simulator
	echo '$$ ./test_server & ./test_client 127.0.0.1 '             > $@
	./08-exceptions_server                                   2>&1 |sed s/08-exceptions/test/  >> $@ 2>&1&
	./08-exceptions_client 127.0.0.1                         2>&1 |sed s/08-exceptions/test/  >> $@ 2>&1
	sleep 1

=== examples/lua/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

set(tesh_files
  ${tesh_files}
  ${CMAKE_CURRENT_SOURCE_DIR}/multi_matrix/mult_matrix.tesh
  ${CMAKE_CURRENT_SOURCE_DIR}/masterslave/master_slave.tesh
  ${CMAKE_CURRENT_SOURCE_DIR}/chord/chord.tesh
  ${CMAKE_CURRENT_SOURCE_DIR}/state_cloner/duplicated_globals.tesh
  ${CMAKE_CURRENT_SOURCE_DIR}/console/master_slave_bypass.tesh
  PARENT_SCOPE
  )
set(xml_files
  ${xml_files}
  ${CMAKE_CURRENT_SOURCE_DIR}/multi_matrix/quicksort_deployment.xml
  ${CMAKE_CURRENT_SOURCE_DIR}/multi_matrix/quicksort_platform.xml
  ${CMAKE_CURRENT_SOURCE_DIR}/deploy.xml
  ${CMAKE_CURRENT_SOURCE_DIR}/state_cloner/deployment_duplicated_globals.xml
  ${CMAKE_CURRENT_SOURCE_DIR}/bittorrent/bittorrent.xml
  PARENT_SCOPE
  )
set(examples_src
  ${examples_src}
  ${CMAKE_CURRENT_SOURCE_DIR}/multi_matrix/sender.lua
  ${CMAKE_CURRENT_SOURCE_DIR}/multi_matrix/receiver.lua
  ${CMAKE_CURRENT_SOURCE_DIR}/multi_matrix/mult_matrix.lua
  ${CMAKE_CURRENT_SOURCE_DIR}/masterslave/master.lua
  ${CMAKE_CURRENT_SOURCE_DIR}/masterslave/master_slave.lua
  ${CMAKE_CURRENT_SOURCE_DIR}/masterslave/platform.lua
  ${CMAKE_CURRENT_SOURCE_DIR}/masterslave/slave.lua
  ${CMAKE_CURRENT_SOURCE_DIR}/chord/chord.lua
  ${CMAKE_CURRENT_SOURCE_DIR}/bittorrent/bittorrent.lua
  ${CMAKE_CURRENT_SOURCE_DIR}/bittorrent/peer.lua
  ${CMAKE_CURRENT_SOURCE_DIR}/bittorrent/tracker.lua
  ${CMAKE_CURRENT_SOURCE_DIR}/splaySim/master.lua
  ${CMAKE_CURRENT_SOURCE_DIR}/splaySim/splay_deploy_masterslave.lua
  ${CMAKE_CURRENT_SOURCE_DIR}/splaySim/splay_ctrl.lua
  ${CMAKE_CURRENT_SOURCE_DIR}/splaySim/splay_platform.lua
  ${CMAKE_CURRENT_SOURCE_DIR}/splaySim/slave.lua
  ${CMAKE_CURRENT_SOURCE_DIR}/SimSplay/splay_school.lua
  ${CMAKE_CURRENT_SOURCE_DIR}/SimSplay/chord.lua
  ${CMAKE_CURRENT_SOURCE_DIR}/SimSplay/sim_splay.lua
  ${CMAKE_CURRENT_SOURCE_DIR}/SimSplay/platform_script.lua
  ${CMAKE_CURRENT_SOURCE_DIR}/tracing/master.lua
  ${CMAKE_CURRENT_SOURCE_DIR}/tracing/master_slave_trace.lua
  ${CMAKE_CURRENT_SOURCE_DIR}/tracing/slave.lua
  ${CMAKE_CURRENT_SOURCE_DIR}/state_cloner/duplicated_globals.lua
  ${CMAKE_CURRENT_SOURCE_DIR}/console/master.lua
  ${CMAKE_CURRENT_SOURCE_DIR}/console/platform.lua
  ${CMAKE_CURRENT_SOURCE_DIR}/console/slave.lua
  ${CMAKE_CURRENT_SOURCE_DIR}/console/master_slave_bypass.lua
  ${CMAKE_CURRENT_SOURCE_DIR}/console/deploy.lua
  PARENT_SCOPE
  )
set(bin_files
  ${bin_files}
  PARENT_SCOPE
  )
set(txt_files
  ${txt_files}
  ${CMAKE_CURRENT_SOURCE_DIR}/SimSplay/TODO
  ${CMAKE_CURRENT_SOURCE_DIR}/README
  ${CMAKE_CURRENT_SOURCE_DIR}/tracing/file.trace
  ${CMAKE_CURRENT_SOURCE_DIR}/tracing/simgrid.trace
  PARENT_SCOPE
  )

=== examples/simdag/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

set(EXECUTABLE_OUTPUT_PATH "${CMAKE_CURRENT_BINARY_DIR}")

add_executable(ex_sd_test sd_test.c)
add_executable(sd_test2 sd_test2.c)
add_executable(sd_fail sd_fail.c)
add_executable(sd_typed_tasks_test sd_typed_tasks_test.c)
add_executable(sd_comm_throttling sd_comm_throttling.c)
add_executable(sd_seq_access sd_seq_access.c)
add_executable(sd_test_console sd_test_console.c)
add_executable(simdag_tracing simdag_trace.c)

### Add definitions for compile
if(NOT WIN32)
  target_link_libraries(ex_sd_test simgrid pthread m )
  target_link_libraries(sd_test2 simgrid pthread m )
  target_link_libraries(sd_fail simgrid pthread m )
  target_link_libraries(sd_typed_tasks_test simgrid pthread m )
  target_link_libraries(sd_comm_throttling simgrid pthread m )
  target_link_libraries(sd_seq_access simgrid pthread m )
  target_link_libraries(sd_test_console simgrid pthread m )
  target_link_libraries(simdag_tracing simgrid pthread m )

  add_custom_command(TARGET ex_sd_test
    POST_BUILD
    COMMAND ${CMAKE_COMMAND} -E copy ${CMAKE_CURRENT_BINARY_DIR}/ex_sd_test ${CMAKE_CURRENT_BINARY_DIR}/sd_test
    WORKING_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/"
    )
  get_directory_property(extra_clean_files ADDITIONAL_MAKE_CLEAN_FILES)
  set_directory_properties(
    PROPERTIES
    ADDITIONAL_MAKE_CLEAN_FILES "${extra_clean_files};${CMAKE_CURRENT_BINARY_DIR}/sd_test")

else(NOT WIN32)
  target_link_libraries(ex_sd_test simgrid)
  target_link_libraries(sd_test2 simgrid)
  target_link_libraries(sd_fail simgrid)
  target_link_libraries(sd_typed_tasks_test simgrid)
  target_link_libraries(sd_comm_throttling simgrid)
  target_link_libraries(sd_seq_access simgrid)
  target_link_libraries(sd_test_console simgrid)
  target_link_libraries(simdag_tracing simgrid)

  add_custom_command(TARGET ex_sd_test
    POST_BUILD
    COMMAND ${CMAKE_COMMAND} -E copy ${CMAKE_CURRENT_BINARY_DIR}/ex_sd_test.exe ${CMAKE_CURRENT_BINARY_DIR}/sd_test.exe
    WORKING_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/"
    )
  get_directory_property(extra_clean_files ADDITIONAL_MAKE_CLEAN_FILES)
  set_directory_properties(
    PROPERTIES
    ADDITIONAL_MAKE_CLEAN_FILES "${extra_clean_files};${CMAKE_CURRENT_BINARY_DIR}/sd_test.exe")
endif(NOT WIN32)

set(tesh_files
  ${tesh_files}
  ${CMAKE_CURRENT_SOURCE_DIR}/test_simdag.tesh
  ${CMAKE_CURRENT_SOURCE_DIR}/test_simdag2.tesh
  ${CMAKE_CURRENT_SOURCE_DIR}/test_simdag2_lua.tesh
  ${CMAKE_CURRENT_SOURCE_DIR}/test_simdag_comm_throttling.tesh
  ${CMAKE_CURRENT_SOURCE_DIR}/test_simdag_seq_access.tesh
  ${CMAKE_CURRENT_SOURCE_DIR}/test_simdag_tracing.tesh
  ${CMAKE_CURRENT_SOURCE_DIR}/test_simdag_typed_tasks.tesh
  ${CMAKE_CURRENT_SOURCE_DIR}/test_simdag_fail.tesh
  PARENT_SCOPE
  )
set(xml_files
  ${xml_files}
  ${CMAKE_CURRENT_SOURCE_DIR}/2clusters.xml
  ${CMAKE_CURRENT_SOURCE_DIR}/faulty_host.xml
  PARENT_SCOPE
  )
set(examples_src
  ${examples_src}
  ${CMAKE_CURRENT_SOURCE_DIR}/sd_comm_throttling.c
  ${CMAKE_CURRENT_SOURCE_DIR}/sd_fail.c
  ${CMAKE_CURRENT_SOURCE_DIR}/sd_seq_access.c
  ${CMAKE_CURRENT_SOURCE_DIR}/sd_test.c
  ${CMAKE_CURRENT_SOURCE_DIR}/sd_test2.c
  ${CMAKE_CURRENT_SOURCE_DIR}/sd_test_console.c
  ${CMAKE_CURRENT_SOURCE_DIR}/sd_typed_tasks_test.c
  ${CMAKE_CURRENT_SOURCE_DIR}/simdag_trace.c
  PARENT_SCOPE
  )
set(bin_files
  ${bin_files}
  ${CMAKE_CURRENT_SOURCE_DIR}/platform_script.lua
  ${CMAKE_CURRENT_SOURCE_DIR}/test_simdag.in
  PARENT_SCOPE
  )
set(txt_files
  ${txt_files}
  ${CMAKE_CURRENT_SOURCE_DIR}/faulty_host.trace
  PARENT_SCOPE
  )

=== examples/smpi/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

if(enable_smpi)
  set(CMAKE_C_COMPILER "${CMAKE_BINARY_DIR}/bin/smpicc")

  set(EXECUTABLE_OUTPUT_PATH "${CMAKE_CURRENT_BINARY_DIR}")

  include_directories("${CMAKE_HOME_DIRECTORY}/include/smpi")


  add_executable(bcbench bcbench.c)
  add_executable(mvmul mvmul.c)
  add_executable(smpi_traced tracing/smpi_traced.c)
  add_executable(smpi_traced_simple tracing/smpi_traced_simple.c)
  add_executable(mc_bugged1 mc_bugged1.c)
  add_executable(mc_bugged2 mc_bugged2.c)
  add_executable(smpi_replay replay/replay.c)

  target_link_libraries(bcbench m simgrid smpi )
  target_link_libraries(mvmul m simgrid smpi )
  target_link_libraries(smpi_traced m simgrid smpi )
  target_link_libraries(smpi_traced_simple m simgrid smpi )
  target_link_libraries(mc_bugged1 m simgrid smpi )
  target_link_libraries(mc_bugged2 m simgrid smpi )
  target_link_libraries(smpi_replay m simgrid smpi )

endif(enable_smpi)

set(tesh_files
  ${tesh_files}
  ${CMAKE_CURRENT_SOURCE_DIR}/tracing/smpi_traced.tesh
  ${CMAKE_CURRENT_SOURCE_DIR}/replay/smpi_replay.tesh
  PARENT_SCOPE
  )
set(xml_files
  ${xml_files}
  ${CMAKE_CURRENT_SOURCE_DIR}/replay/replay_platform.xml
  PARENT_SCOPE
  )
set(examples_src
  ${examples_src}
  ${CMAKE_CURRENT_SOURCE_DIR}/mc_bugged2.c
  ${CMAKE_CURRENT_SOURCE_DIR}/mc_bugged1.c
  ${CMAKE_CURRENT_SOURCE_DIR}/mvmul.c
  ${CMAKE_CURRENT_SOURCE_DIR}/bcbench.c
  ${CMAKE_CURRENT_SOURCE_DIR}/replay/replay.c
  ${CMAKE_CURRENT_SOURCE_DIR}/tracing/smpi_traced.c
  ${CMAKE_CURRENT_SOURCE_DIR}/tracing/smpi_traced_simple.c
  PARENT_SCOPE
  )
set(bin_files
  ${bin_files}
  ${CMAKE_CURRENT_SOURCE_DIR}/hostfile
  PARENT_SCOPE
  )
set(txt_files
  ${txt_files}
  ${CMAKE_CURRENT_SOURCE_DIR}/replay/actions_bcast.txt
  ${CMAKE_CURRENT_SOURCE_DIR}/replay/actions0.txt
  ${CMAKE_CURRENT_SOURCE_DIR}/replay/actions1.txt
  ${CMAKE_CURRENT_SOURCE_DIR}/replay/one_trace
  ${CMAKE_CURRENT_SOURCE_DIR}/replay/split_traces
  PARENT_SCOPE
  )

=== teshsuite/gras/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

set(tesh_files
  ${tesh_files}
  ${CMAKE_CURRENT_SOURCE_DIR}/gras.tesh
  PARENT_SCOPE
  )
set(xml_files
  ${xml_files}
  PARENT_SCOPE
  )
set(teshsuite_src
  ${teshsuite_src}
  PARENT_SCOPE
  )
set(bin_files
  ${bin_files}
  PARENT_SCOPE
  )
set(txt_files
  ${txt_files}
  ${CMAKE_CURRENT_SOURCE_DIR}/README
  PARENT_SCOPE
  )

=== teshsuite/msg/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

set(EXECUTABLE_OUTPUT_PATH "${CMAKE_CURRENT_BINARY_DIR}")

add_executable(get_sender ${CMAKE_HOME_DIRECTORY}/teshsuite/msg/get_sender.c)

### Add definitions for compile
if(NOT WIN32)
  target_link_libraries(get_sender simgrid m pthread )
else(NOT WIN32)
  target_link_libraries(get_sender simgrid)
endif(NOT WIN32)

set(tesh_files
  ${tesh_files}
  ${CMAKE_CURRENT_SOURCE_DIR}/get_sender.tesh
  PARENT_SCOPE
  )
set(xml_files
  ${xml_files}
  ${CMAKE_CURRENT_SOURCE_DIR}/get_sender.xml
  ${CMAKE_CURRENT_SOURCE_DIR}/get_sender_d.xml
  ${CMAKE_CURRENT_SOURCE_DIR}/get_sender_p.xml
  PARENT_SCOPE
  )
set(teshsuite_src
  ${teshsuite_src}
  ${CMAKE_CURRENT_SOURCE_DIR}/get_sender.c
  PARENT_SCOPE
  )
set(bin_files
  ${bin_files}
  PARENT_SCOPE
  )
set(txt_files
  ${txt_files}
  PARENT_SCOPE
  )

=== teshsuite/simdag/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

set(EXECUTABLE_OUTPUT_PATH "${CMAKE_CURRENT_BINARY_DIR}")

add_executable(basic0 basic0.c)
add_executable(basic1 basic1.c)
add_executable(basic2 basic2.c)
add_executable(basic3 basic3.c)
add_executable(basic4 basic4.c)
add_executable(basic5 basic5.c)
add_executable(basic6 basic6.c)
add_executable(incomplete incomplete.c)

### Add definitions for compile
if(NOT WIN32)
  target_link_libraries(basic0 simgrid m pthread )
  target_link_libraries(basic1 simgrid m pthread )
  target_link_libraries(basic2 simgrid m pthread )
  target_link_libraries(basic3 simgrid m pthread )
  target_link_libraries(basic4 simgrid m pthread )
  target_link_libraries(basic5 simgrid m pthread )
  target_link_libraries(basic6 simgrid m pthread )
  target_link_libraries(incomplete simgrid m pthread )
else(NOT WIN32)
  target_link_libraries(basic0 simgrid)
  target_link_libraries(basic1 simgrid)
  target_link_libraries(basic2 simgrid)
  target_link_libraries(basic3 simgrid)
  target_link_libraries(basic4 simgrid)
  target_link_libraries(basic5 simgrid)
  target_link_libraries(basic6 simgrid)
  target_link_libraries(incomplete simgrid)
endif(NOT WIN32)

set(tesh_files
  ${tesh_files}
  ${CMAKE_CURRENT_SOURCE_DIR}/basic0.tesh
  ${CMAKE_CURRENT_SOURCE_DIR}/basic1.tesh
  ${CMAKE_CURRENT_SOURCE_DIR}/basic2.tesh
  ${CMAKE_CURRENT_SOURCE_DIR}/basic3.tesh
  ${CMAKE_CURRENT_SOURCE_DIR}/basic4.tesh
  ${CMAKE_CURRENT_SOURCE_DIR}/basic5.tesh
  ${CMAKE_CURRENT_SOURCE_DIR}/basic6.tesh
  ${CMAKE_CURRENT_SOURCE_DIR}/incomplete.tesh
  ${CMAKE_CURRENT_SOURCE_DIR}/simdag.tesh
  PARENT_SCOPE
  )
set(xml_files
  ${xml_files}
  ${CMAKE_CURRENT_SOURCE_DIR}/basic_platform.xml
  PARENT_SCOPE
  )
set(teshsuite_src
  ${teshsuite_src}
  ${CMAKE_CURRENT_SOURCE_DIR}/basic0.c
  ${CMAKE_CURRENT_SOURCE_DIR}/basic1.c
  ${CMAKE_CURRENT_SOURCE_DIR}/basic2.c
  ${CMAKE_CURRENT_SOURCE_DIR}/basic3.c
  ${CMAKE_CURRENT_SOURCE_DIR}/basic4.c
  ${CMAKE_CURRENT_SOURCE_DIR}/basic5.c
  ${CMAKE_CURRENT_SOURCE_DIR}/basic6.c
  ${CMAKE_CURRENT_SOURCE_DIR}/incomplete.c
  PARENT_SCOPE
  )
set(bin_files
  ${bin_files}
  PARENT_SCOPE
  )
set(txt_files
  ${txt_files}
  PARENT_SCOPE
  )

=== teshsuite/smpi/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

if(enable_smpi)
  set(CMAKE_C_COMPILER "${CMAKE_BINARY_DIR}/bin/smpicc")

  set(EXECUTABLE_OUTPUT_PATH "${CMAKE_CURRENT_BINARY_DIR}")

  include_directories("${CMAKE_HOME_DIRECTORY}/include/smpi")

  add_executable(alltoall2 alltoall2.c )
  add_executable(alltoall_basic alltoall_basic.c)
  add_executable(alltoallv alltoallv.c)
  add_executable(allreduce allreduce.c)
  add_executable(bcast bcast.c)
  add_executable(compute compute.c)
  add_executable(compute2 compute2.c)
  add_executable(compute3 compute3.c)
  add_executable(pingpong pingpong.c)
  add_executable(scatter scatter.c)
  add_executable(reduce reduce.c)
  add_executable(split split.c)
  add_executable(dsend dsend.c)
  add_executable(smpi_sendrecv sendrecv.c)
  add_executable(ttest01 ttest01.c)
  add_executable(vector_test vector_test.c)
  add_executable(hvector_test hvector_test.c)
  add_executable(indexed_test indexed_test.c)
  add_executable(struct_test struct_test.c)

  target_link_libraries(alltoall2 m simgrid smpi )
  target_link_libraries(alltoall_basic m simgrid smpi )
  target_link_libraries(alltoallv m simgrid smpi )
  target_link_libraries(allreduce m simgrid smpi )
  target_link_libraries(bcast m simgrid smpi )
  target_link_libraries(compute m simgrid smpi )
  target_link_libraries(compute2 m simgrid smpi )
  target_link_libraries(compute3 m simgrid smpi )
  target_link_libraries(pingpong m simgrid smpi )
  target_link_libraries(scatter m simgrid smpi )
  target_link_libraries(reduce m simgrid smpi )
  target_link_libraries(split m simgrid smpi )
  target_link_libraries(dsend m simgrid smpi )
  target_link_libraries(smpi_sendrecv m simgrid smpi )
  target_link_libraries(ttest01 m simgrid smpi )
  target_link_libraries(vector_test m simgrid smpi )
  target_link_libraries(hvector_test m simgrid smpi )
  target_link_libraries(indexed_test m simgrid smpi )
  target_link_libraries(struct_test m simgrid smpi )

  set_target_properties(smpi_sendrecv PROPERTIES RENAME sendrecv)
endif(enable_smpi)

set(tesh_files
  ${tesh_files}
  ${CMAKE_CURRENT_SOURCE_DIR}/bcast.tesh
  ${CMAKE_CURRENT_SOURCE_DIR}/hvector.tesh
  ${CMAKE_CURRENT_SOURCE_DIR}/indexed.tesh
  ${CMAKE_CURRENT_SOURCE_DIR}/pt2pt.tesh
  ${CMAKE_CURRENT_SOURCE_DIR}/reduce.tesh
  ${CMAKE_CURRENT_SOURCE_DIR}/struct.tesh
  ${CMAKE_CURRENT_SOURCE_DIR}/vector.tesh  
  PARENT_SCOPE
  )
set(xml_files
  ${xml_files}
  PARENT_SCOPE
  )
set(examples_src
  ${examples_src}
  ${CMAKE_CURRENT_SOURCE_DIR}/alltoallv.c
  ${CMAKE_CURRENT_SOURCE_DIR}/get_processor_name.c
  ${CMAKE_CURRENT_SOURCE_DIR}/pingpong.c
  ${CMAKE_CURRENT_SOURCE_DIR}/bcast.c
  ${CMAKE_CURRENT_SOURCE_DIR}/allreduce.c
  ${CMAKE_CURRENT_SOURCE_DIR}/alltoall_basic.c
  ${CMAKE_CURRENT_SOURCE_DIR}/sendrecv.c
  ${CMAKE_CURRENT_SOURCE_DIR}/reduce.c
  ${CMAKE_CURRENT_SOURCE_DIR}/compute2.c
  ${CMAKE_CURRENT_SOURCE_DIR}/split.c
  ${CMAKE_CURRENT_SOURCE_DIR}/dsend.c
  ${CMAKE_CURRENT_SOURCE_DIR}/ttest01.c
  ${CMAKE_CURRENT_SOURCE_DIR}/compute.c
  ${CMAKE_CURRENT_SOURCE_DIR}/compute3.c
  ${CMAKE_CURRENT_SOURCE_DIR}/alltoall2.c
  ${CMAKE_CURRENT_SOURCE_DIR}/scatter.c
  ${CMAKE_CURRENT_SOURCE_DIR}/sendtest.c
  ${CMAKE_CURRENT_SOURCE_DIR}/barrier.c
  ${CMAKE_CURRENT_SOURCE_DIR}/vector_test.c
  ${CMAKE_CURRENT_SOURCE_DIR}/hvector_test.c
  ${CMAKE_CURRENT_SOURCE_DIR}/indexed_test.c
  ${CMAKE_CURRENT_SOURCE_DIR}/struct_test.c
  PARENT_SCOPE
  )
set(bin_files
  ${bin_files}
  ${CMAKE_CURRENT_SOURCE_DIR}/hostfile
  PARENT_SCOPE
  )
set(txt_files
  ${txt_files}
  PARENT_SCOPE
  )

=== teshsuite/xbt/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)

set(EXECUTABLE_OUTPUT_PATH "${CMAKE_CURRENT_BINARY_DIR}")

add_executable(log_large_test log_large_test.c)
add_executable(parallel_log_crashtest parallel_log_crashtest.c)
if(HAVE_MMAP)
  add_executable(mmalloc_test mmalloc_test.c)
endif(HAVE_MMAP)

### Add definitions for compile
if(NOT WIN32)
  target_link_libraries(log_large_test gras m pthread )
  target_link_libraries(parallel_log_crashtest gras m pthread )
  if(HAVE_MMAP)
    target_link_libraries(mmalloc_test gras m pthread )
  endif(HAVE_MMAP)
else(NOT WIN32)
  target_link_libraries(log_large_test gras)
  target_link_libraries(parallel_log_crashtest gras)
  if(HAVE_MMAP)
    target_link_libraries(mmalloc_test gras)
  endif(HAVE_MMAP)
endif(NOT WIN32)

set(tesh_files
  ${tesh_files}
  ${CMAKE_CURRENT_SOURCE_DIR}/log_large_test.tesh
  ${CMAKE_CURRENT_SOURCE_DIR}/parallel_log_crashtest.tesh
  ${CMAKE_CURRENT_SOURCE_DIR}/xbt.tesh
  ${CMAKE_CURRENT_SOURCE_DIR}/mmalloc_64.tesh
  ${CMAKE_CURRENT_SOURCE_DIR}/mmalloc_32.tesh
  PARENT_SCOPE
  )
set(xml_files
  ${xml_files}
  PARENT_SCOPE
  )
set(teshsuite_src
  ${teshsuite_src}
  ${CMAKE_CURRENT_SOURCE_DIR}/log_large_test.c
  ${CMAKE_CURRENT_SOURCE_DIR}/parallel_log_crashtest.c
  ${CMAKE_CURRENT_SOURCE_DIR}/mmalloc_test.c
  PARENT_SCOPE
  )
set(bin_files
  ${bin_files}
  PARENT_SCOPE
  )
set(txt_files
  ${txt_files}
  PARENT_SCOPE
  )

=== debian/changelog ===
simgrid (3.8.1-2) unstable; urgency=low

  * upload to unstable, in the hope to get into the next ubuntu
    release. It's too late already for next Debian, but we still can
    make this one.

 -- Martin Quinson <mquinson@debian.org>  Fri, 11 Jan 2013 11:38:30 +0100

simgrid (3.8.1-1) experimental; urgency=low

  * New upstream release.

 -- Lucas Nussbaum <lucas@debian.org>  Fri, 26 Oct 2012 23:11:03 +0200

=== debian/control ===
Source: simgrid
Section: science
Priority: extra
Maintainer: Lucas Nussbaum <lucas@debian.org>
Uploaders: Martin Quinson <mquinson@debian.org>
Build-Depends: debhelper (>= 7.0.50~), cmake, liblua5.1-dev, lua5.1, f2c, chrpath, libpcre3-dev
Standards-Version: 3.9.3
Homepage: http://simgrid.gforge.inria.fr/
Vcs-Git: git://git.debian.org/git/collab-maint/simgrid.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/simgrid.git

Package: simgrid
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Recommends: lua5.1, f2c, gcc, make
Description: Toolkit for scalable simulation of distributed applications
 SimGrid is a toolkit that provides core functionalities for the simulation of
 distributed applications in heterogeneous distributed environments. SimGrid
 can be used as a Grid simulator, a P2P simulator, a Cloud simulator, a MPI
 simulator, or a mix of all of them. The typical use-cases of SimGrid include
 heuristic evaluation, application prototyping, and real application
 development and tuning.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Package building rules for the SimGrid Debian Package.
# Strongly inspirated from the sample debhelper file, originally written by Joey Hess and Craig Small.
# Adapted to SimGrid by Lucas Nussbaum and Martin Quinson.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS += $(shell dpkg-buildflags --get CFLAGS)
# build with -O3 everywhere except on ia64 (#640538) since it is upstream
# policy to do so.
ifneq (ia64,$(shell dpkg-architecture -qDEB_HOST_ARCH))
  CFLAGS += -O3
endif

ifeq (arm,$(shell dpkg-architecture -qDEB_HOST_GNU_CPU))
  CFLAGS += -funwind-tables
endif

LDFLAGS += $(shell dpkg-buildflags --get LDFLAGS)

%:
	dh  $@

# -Dprefix needed because SimGrid doesn't use CMAKE_INSTALL_PREFIX
override_dh_auto_configure:
	dh_auto_configure -Scmake -- \
		-Dprefix=/usr \
		-Dcustom_flags="$(CFLAGS) $(LDFLAGS)"
		

# FIXME renable tests at some point
override_dh_auto_test:
	dh_auto_test || true

override_dh_auto_install:
	dh_auto_install
	chrpath -d debian/simgrid/usr/bin/graphicator
	chrpath -d debian/simgrid/usr/bin/gras_stub_generator
	chrpath -d debian/simgrid/usr/bin/tesh
	# move doc to correct place
	mkdir -p debian/simgrid/usr/share/doc/simgrid
	mv debian/simgrid/usr/doc/simgrid/* debian/simgrid/usr/share/doc/simgrid/
	rm -rf debian/simgrid/usr/doc
